using System;
using System.Threading;

namespace VDRGUI
{
	/// <summary>
	/// Setup Backend	
	/// </summary>
	class backend
	{
		#region Variables
		public static bool verbose;
		public static int port = 90;
		public static string docRoot = ".";
		public static parseEPG epgDaten = null;
		public static bool quit = false;
		#endregion

	}
	/// <summary>
	/// GUI Frontend Klasse
	/// </summary>
	class frontend
	{
		#region Parameter and Usage
		private static void usage() 
		{
			Console.WriteLine("Usage: httpd [-port port] [-docroot path] [-verbose] [/?]");
		}

		public static int check_parameters(String[] parameter) 
		{
			for(int i = 0; i < parameter.Length; i++)
			{
				switch(parameter[i])
				{
					case "/?":
						usage();
						return 1;
					case "-port":
						if (i < parameter.Length - 1) 
						{
							backend.port = int.Parse(parameter[++i]);
						} 
						else 
						{
							usage();
						}
						break;
					case "-docroot":
						if (i < parameter.Length - 1) 
						{
							backend.docRoot = parameter[++i];
						} 
						else 
						{
							usage();
						}
						break;
					case "-verbose":
						backend.verbose = true;
						break;
					default:
						usage();
						return 1;
				}
			}
			return 0;
		}
		#endregion

		
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			check_parameters(args);

			backend.epgDaten = new parseEPG("c:\\epg3.data");
			backend.epgDaten.parse_EPG();

			Console.Write(backend.epgDaten.getXMLEPG());
			
			/*HttpServer httpServer;
			httpServer = new HttpServer(backend.docRoot,backend.port);
			Thread thread = new Thread(new ThreadStart(httpServer.listen));
			thread.Start();

			Console.WriteLine("STRG+C um das Programm zu beenden.");
			while(!backend.quit)
			{
				
			}*/			
		}
	}
}
